var skipScenes = false;
var counter = 0;
var choice = 0;
var currentPos = '';
var lastPos = '';
let shower = false;
let lie = false;
let winPhoto = false;
var sexSound = 0;
var gameLine = {
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      },
    ],
  },
  3: {
    video: 'boy_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '2',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '3',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '4',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '5',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        close: function () {},
      },
    ],
  },
  4: {
    video: 'area_1_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    delete: false,
    open: function () {
      PlaySound('sounds/env_city.mp3', 1);
    },
    actions: [
      {
        type: 'dialog',
        image: '6',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '7',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '8',
        x: 700,
        y: 400,
        next: true,
      },
    ],
  },
  5: {
    video: 'area_1_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('spr_interface_phone', {
        alp: 1,
        input: 1,
        event_mup: function () {
          ObjSet('spr_interface_phone', {
            alp: 0.4,
            input: 1,
          });
          renderGameScene();
        },
      });
    },
    actions: [],
    delete: false,
    origin: 'area_1_1\t6-8\t',
  },
  6: {
    video: 'area_1_2',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(function () {
        renderGameScene();
      }, 600);
    },
    actions: [],
    delete: false,
  },
  7: {
    video: 'area_1_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('spr_interface_shot', {
        alp: 1,
        input: 1,
        event_mup: function () {
          winPhoto = true;
          ObjSet('spr_interface_shot', { alp: 0, input: 0 });
          ObjSet('spr_interface_phone', { alp: 0, input: 0 });
          renderGameScene(9);
        },
      });
      ObjSet('spr_interface_phone', {
        event_mup: function () {
          ObjSet('spr_interface_phone', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_shot', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
    },
    actions: [],
    delete: false,
  },
  8: {
    video: 'area_1_5',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      if (winPhoto) {
        setTimeout(function () {
          renderGameScene(10);
        }, 600);
      } else {
        setTimeout(function () {
          renderGameScene(5);
        }, 600);
      }
    },
    delete: false,
    actions: [],
  },
  9: {
    video: 'area_1_4',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(function () {
        PlaySound('sounds/sfx_taken_photo.mp3', 0);
      }, 300);
      setTimeout(function () {
        renderGameScene(8);
      }, 1000);
    },
    actions: [],

    delete: false,
  },
  10: {
    video: 'area_1_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '9',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '10',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '11',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '12',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        close: function () {},
      },
    ],
  },
  11: {
    video: 'area_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: false,
    open: function () {
      StopSound('sounds/env_city.mp3', 0);
    },
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '14',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '15',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '16',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  12: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '17',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '18',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '19',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '20',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '21',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '22',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '23',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '24',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '25',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '26',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '27',
        x: 140,
        y: 20,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  13: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },

    delete: false,
  },
  14: {
    video: 'area_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: false,
    actions: [
      {
        type: 'dialog',
        image: '28',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '29',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  15: {
    video: 'girl_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,

    delete: true,

    actions: [
      {
        type: 'dialog',
        image: '30',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '31',
        x: 60,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '32',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '33',
        x: 60,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '34',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '35',
        x: 60,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '36',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '37',
        x: 60,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '38',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  16: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    actions: [],
    delete: false,
  },
  17: {
    video: 'area_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: false,
    actions: [
      {
        type: 'dialog',
        image: '39',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '40',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '41',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  18: {
    video: 'girl_3',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '42',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '43',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '44',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '45',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '46',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '47',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '48',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '49',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '50',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '51',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '52',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '53',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '54',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '55',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '56',
        x: 120,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '57',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '58',
        x: 120,
        y: 20,
        next: false,
        click: function () {
          ObjSet('spr_interface_white_ok', {
            alp: 1,
            input: 1,
            event_mup: function () {
              ObjSet('spr_interface_white_ok', { alp: 0, input: 0 });
              ObjSet('spr_interface_white_not_ok', { alp: 0, input: 0 });
              renderActionGameScene(2);
            },
          });
          ObjSet('spr_interface_white_not_ok', {
            alp: 1,
            input: 1,
            event_mup: function () {
              ObjSet('spr_interface_white_not_ok', { alp: 0, input: 0 });
              ObjSet('spr_interface_white_ok', { alp: 0, input: 0 });
              renderActionGameScene();
            },
          });
        },
      },
      {
        type: 'dialog',
        image: '60',
        x: 700,
        y: 400,
        next: false,

        click: function () {
          renderGameScene(21);
        },
      },
      {
        type: 'dialog',
        image: '59',
        x: 700,
        y: 400,
        next: true,
      },

      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  19: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },

    delete: false,
  },
  20: {
    video: 'area_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: false,
    actions: [
      {
        type: 'dialog',
        image: '61',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '63',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '64',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,

        click: function () {
          renderGameScene(22);
        },
      },
    ],
  },
  21: {
    video: 'area_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '62',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '63',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '64',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  22: {
    video: 'area_3',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '65',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '66',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  23: {
    video: 'area_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '67',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '68',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  24: {
    video: 'map',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/sfx_bus.mp3', 0);
      setTimeout(function () {
        renderGameScene();
      }, 2200);
    },
    delete: true,
    origin: 'area_2\t28 29\tplay',
    actions: [],
    close: function () {},
  },
  25: {
    video: 'area_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    open: function () {
      PlaySound('sounds/env_city.mp3', 1);
    },
    actions: [
      {
        type: 'dialog',
        image: '69',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '70',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        close: function () {},
      },
    ],
  },
  26: {
    video: 'girl_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    open: function () {
      StopSound('sounds/env_city.mp3', 0);
    },
    actions: [
      {
        type: 'dialog',
        image: '71',
        x: 220,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '72',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '73',
        x: 220,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '74',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '75',
        x: 220,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '76',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '77',
        x: 220,
        y: 20,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  27: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {},
    delete: false,
  },
  28: {
    video: 'area_6',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    open: function () {
      PlaySound('sounds/env_city.mp3', 1);
    },
    actions: [
      {
        type: 'dialog',
        image: '78',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '79',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '80',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        close: function () {},
      },
    ],
  },
  29: {
    video: 'girl_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    open: function () {
      StopSound('sounds/env_city.mp3', 0);
    },
    actions: [
      {
        type: 'dialog',
        image: '81',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '82',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '83',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '84',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '85',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '86',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '87',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '88',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '89',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '90',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '91',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '92',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '93',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '94',
        x: 150,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '95',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  30: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    actions: [],
    delete: false,
  },
  31: {
    video: 'area_7',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: true,
    actions: [
      {
        type: 'dialog',
        image: '96',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '97',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '98',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '99',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  32: {
    video: 'area_8',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    delete: false,
    actions: [
      {
        type: 'dialog',
        image: '100',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '101',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '102',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  33: {
    video: 'girl_6',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,

    delete: true,

    actions: [
      {
        type: 'dialog',
        image: '103',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '104',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '105',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '106',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '107',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '108',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '109',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '110',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '111',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '112',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '113',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '114',
        x: 300,
        y: 20,
        next: true,
      },
      {
        type: 'dialog',
        image: '115',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  34: {
    video: 'sex_6_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },

    delete: false,
  },
  35: {
    video: 'area_8',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,

    delete: true,

    actions: [
      {
        type: 'dialog',
        image: '116',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '117',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '118',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'dialog',
        image: '119',
        x: 700,
        y: 400,
        next: true,
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
      },
    ],
  },
  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_6_stop: {
    video: 'sex_6_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
};

function getGameLine() {
  return gameLine;
}
